//
//  PrefsAccountView.swift
//  Tusker
//
//  Created by Shadowfacts on 4/7/24.
//  Copyright © 2024 Shadowfacts. All rights reserved.
//

import SwiftUI
import UserAccounts
import WebURL

struct PrefsAccountView: View {
    let account: UserAccountInfo
    
    var body: some View {
        HStack {
            LocalAccountAvatarView(localAccountInfo: account)
            VStack(alignment: .leading) {
                Text(verbatim: account.username)
                    .foregroundColor(.primary)
                let instance = if let domain = WebURL.Domain(account.instanceURL.host!) {
                    domain.render(.uncheckedUnicodeString)
                } else {
                    account.instanceURL.host!
                }
                Text(verbatim: instance)
                    .font(.caption)
                    .foregroundColor(.primary)
            }
        }
    }
}

//#Preview {
//    PrefsAccountView()
//}
